<p-table #dt [columns]="cols" [value]="ips">
  <ng-template pTemplate="caption">
    List of IPs
    <p-button class="btnAdd" label="UPDATE" (onClick)="updateIps()"></p-button>
  </ng-template>

  <ng-template pTemplate="header" let-columns>
    <tr>
      <th *ngFor="let col of columns" [pSortableColumn]="col.field" [ngSwitch]="col.field">
        {{col.header}}
        <p-sortIcon [field]="col.field"></p-sortIcon>
      </th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-ips let-columns="columns" [ngStyle]="">
    <tr>
      <td>{{ips["ip"]}}</td>
      <td>{{ips['country_name']}}</td>
      <td>{{ips["city_name"]}}</td>
      <td>{{ips['latitude']}}</td>
      <td>{{ips['longitude']}}</td>
      <td>{{ips["isp"]}}</td>
    </tr>
  </ng-template>
</p-table>
